Update for OpenVPN

cpeddie
Posts: 39
Joined: Sat Mar 08, 2014 12:05 am

Update for OpenVPN

Postby cpeddie » Tue Sep 03, 2019 8:37 am

When I connect to my HDA using Tunnelblick, I get the following warning:

Code: Select all

Warning: This VPN may not connect in the future. The OpenVPN configuration file for 'peddiecabin-hda' contains these OpenVPN options: • 'comp-lzo' was deprecated in OpenVPN 2.4 and has been or will be removed in a later version You should update the configuration so it can be used with modern versions of OpenVPN. Tunnelblick will use OpenVPN 2.4.7 - OpenSSL v1.0.2r to connect this configuration. However, you will not be able to connect to this VPN with future versions of Tunnelblick that do not include a version of OpenVPN that accepts the options.
Is there an update to the settings we should be using so we aren't using something deprecated?

User avatar
cpg
Administrator
Posts: 2606
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Update for OpenVPN

Postby cpg » Wed Sep 04, 2019 3:16 am

We are due for an update of the settings, though it may not come before the the next major update (Amahi 12).

If you have time to file a bug with the tech details in it, it would help us track it better.
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

Who is online

Users browsing this forum: No registered users and 1 guest